<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Server](./bitburner.server.md) &gt; [numOpenPortsRequired](./bitburner.server.numopenportsrequired.md)

## Server.numOpenPortsRequired property

Number of open ports required in order to gain admin/root access

**Signature:**

```typescript
numOpenPortsRequired?: number;
```
